Bug 556345 - [abrt] traceback in userdefault
Summary: [abrt] traceback in userdefault
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-printer
Version: 12
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:491b738f
Depends On:
Blocks: 556521
TreeView+ depends on / blocked
 
Reported: 2010-01-18 01:45 UTC by Graeme Gillies
Modified: 2010-02-05 01:37 UTC (History)
2 users (show)

Fixed In Version: 1.1.16-13.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 556521 (view as bug list)
Environment:
Last Closed: 2010-02-05 01:35:25 UTC


Attachments (Terms of Use)
File: backtrace (640 bytes, text/plain)
2010-01-18 01:45 UTC, Graeme Gillies
no flags Details

Description Graeme Gillies 2010-01-18 01:45:24 UTC
abrt 1.0.3 detected a crash.

backtrace
-----
Summary: TB491b738f userdefault.py:81:set:RuntimeError: (1, 'lpoptions: Unknown printer or class!')

Traceback (most recent call last):
  File "/usr/share/system-config-printer/userdefault.py", line 164, in on_response
    self.userdef.set (self.name)
  File "/usr/share/system-config-printer/userdefault.py", line 81, in set
    raise RuntimeError (exitcode, stderr.strip ())
RuntimeError: (1, 'lpoptions: Unknown printer or class!')

Local variables in innermost frame:
stdout: None
default: gryffindor
self: <UserDefaultPrinter (None)>
p: <subprocess.Popen object at 0xb737adac>
stderr: lpoptions: Unknown printer or class!

exitcode: 1

cmdline: python /usr/share/system-config-printer/system-config-printer.py 
component: system-config-printer
executable: /usr/share/system-config-printer/system-config-printer.py
kernel: 2.6.31.5-127.fc12.i686.PAE
package: system-config-printer-1.1.13-10.fc12
uuid: 491b738f

Comment 1 Graeme Gillies 2010-01-18 01:45:26 UTC
Created attachment 384990 [details]
File: backtrace

Comment 2 Jiri Popelka 2010-01-18 10:07:47 UTC
Thank you for the report.
Can you show the output of
'lpstat -t'
and
'lpoptions -d gryffindor' ?

Comment 3 Tim Waugh 2010-01-18 16:25:43 UTC
Fixed upstream.

Also affects Fedora 11.

Comment 4 Fedora Update System 2010-01-18 17:45:43 UTC
system-config-printer-1.1.16-9.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/system-config-printer-1.1.16-9.fc11

Comment 5 Fedora Update System 2010-01-18 17:46:33 UTC
system-config-printer-1.1.16-9.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/system-config-printer-1.1.16-9.fc12

Comment 6 Fedora Update System 2010-01-19 19:33:55 UTC
system-config-printer-1.1.16-9.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-printer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-0755

Comment 7 Fedora Update System 2010-01-19 19:40:00 UTC
system-config-printer-1.1.16-9.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-printer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2010-0776

Comment 8 Fedora Update System 2010-01-22 22:34:37 UTC
system-config-printer-1.1.16-11.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-printer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2010-0776

Comment 9 Fedora Update System 2010-01-22 22:36:44 UTC
system-config-printer-1.1.16-11.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-printer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-0755

Comment 10 Fedora Update System 2010-01-27 01:03:27 UTC
system-config-printer-1.1.16-13.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-printer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-0755

Comment 11 Fedora Update System 2010-01-27 01:04:28 UTC
system-config-printer-1.1.16-13.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-printer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2010-0776

Comment 12 Fedora Update System 2010-02-05 01:34:42 UTC
system-config-printer-1.1.16-13.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2010-02-05 01:36:38 UTC
system-config-printer-1.1.16-13.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.